/*
 * @Descripttion:
 * @version:
 * @Author: kBank
 * @Date: 2023-02-22 09:47:50
 */
import request from '@/utils/request'
// 获取未绑定收益区域列表
export function regionAreaList(params) {
  return request({
    url: '/member/manage/cu-member-retail-region/regionAreaList',
    method: 'get',
    params
  })
}
// 获取短信列表
export function smsRecordList(params) {
  return request({
    url: '/sms/manage/sms-record/list',
    method: 'get',
    params
  })
}
// 导出接口
export function updateExpand(data) {
  return request({
    url: '/sms/manage/sms-record/export',
    method: 'post',
    data
  })
}
// 获取短信模板列表
export function smsTemplateList(params) {
  return request({
    url: '/sms/manage/sms-template/list',
    method: 'get',
    params
  })
}
// 获取全部短信模板
export function smsTemplateAll(params) {
  return request({
    url: '/sms/manage/sms-template/all',
    method: 'get',
    params
  })
}
// 获取选择会员列表
export function memberSelect(params) {
  return request({
    url: '/member/manager/member/member-select',
    method: 'get',
    params
  })
}
// 获取选择订单列表
export function orderSelect(params) {
  return request({
    url: '/sale/manage/order/order-select',
    method: 'get',
    params
  })
}
// 保存短信模板
export function save(data) {
  return request({
    url: '/sms/manage/sms-template/save',
    method: 'post',
    data
  })
}
// 获取模板信息
export function detail(params) {
  return request({
    url: '/sms/manage/sms-template/detail/' + params,
    method: 'get'
  })
}
// 修改状态
export function changeEnable(data) {
  return request({
    url: '/sms/manage/sms-template/change-enable',
    method: 'put',
    data
  })
}
// 创建短信
export function create(data) {
  return request({
    url: '/sms/manage/sms-record/create',
    method: 'post',
    data
  })
}
// 会员导入
export function memberImport(params) {
  return request({
    url: '/member/manager/member/member-select-import',
    method: 'get',
    params
  })
}
// 订单导入
export function orderImport(params) {
  return request({
    url: '/sale/manage/order/order-select-import',
    method: 'get',
    params
  })
}
// 获取轮播列表
export function bannerList(params) {
  return request({
    url: '/system/manage/bd-advert-banner/list',
    method: 'get',
    params
  })
}
// 获取发布位置
export function getPostion(params) {
  return request({
    url: '/system/pub/enums/position-two',
    method: 'get',
    params
  })
}
// 新增广告
export function addBanner(data) {
  return request({
    url: '/system/manage/bd-advert-banner/save',
    method: 'post',
    data
  })
}
// 修改广告
export function updateBanner(data) {
  return request({
    url: '/system/manage/bd-advert-banner/update',
    method: 'post',
    data
  })
}
// 获取详情
export function getBannerDetails(params) {
  return request({
    url: '/system/manage/bd-advert-banner/getOne/' + params,
    method: 'get'
  })
}
// 获取详情
export function delBanner(params) {
  return request({
    url: '/system/manage/bd-advert-banner/' + params,
    method: 'delete'
  })
}
// 置顶
export function updateTop(data) {
  return request({
    url: '/system/manage/bd-advert-banner/updateTopping',
    method: 'post',
    data
  })
}
// 上移
export function moveUp(data) {
  return request({
    url: '/system/manage/bd-advert-banner/moveUp',
    method: 'post',
    data
  })
}
// 下移
export function moveDown(data) {
  return request({
    url: '/system/manage/bd-advert-banner/moveDown',
    method: 'post',
    data
  })
}
// K值风控设置列表
export function kValueList(params) {
  return request({
    url: '/bonus/manage/member-risk-control/list',
    method: 'get',
    params
  })
}
// K值风控设置详情
export function kValueDetail(params) {
  return request({
    url: 'bonus/manage/member-risk-control/detail',
    method: 'get',
    params
  })
}
// K值风控设置删除
export function kValueDel(params) {
  return request({
    url: 'bonus/manage/member-risk-control/remove',
    method: 'get',
    params
  })
}
// K值风控设置新增
export function kValueAdd(data) {
  return request({
    url: '/bonus/manage/member-risk-control/save',
    method: 'post',
    data
  })
}
// K值风控设置修改
export function kValueUp(data) {
  return request({
    url: '/bonus/manage/member-risk-control/update',
    method: 'post',
    data
  })
}